Subject: bug#10806: 24.0.93; `cancel-edebug-on-entry': many tiny problems

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 20 Oct 2019 09:48:51 +0200

Michael Heerdegen <[email-masked]> writes:

> 1. It is a user command, but is has no docstring.
>
> 2. The user can't find it easily: it doesn't start with "edebug".  I
> needed to consult the source to find it.  Can we at least add
> something like
>
>   (defalias 'edebug-cancel-edebug-on-entry #'cancel-edebug-on-entry)
>
> 3. The prompt string "Edebug on entry to: " should include the word
> "cancel".
>
> 4. Wouldn't it be better to limit the input to functions that are
> instrumented?

It looks like these things have been fixed in the years since -- except
that it looks like it's had a doc string since at least 2005, and the
prompt has mentioned "cancel" since that time, too?

But the alias hasn't been added -- Stefan OK'd it, though, so I've now
added it in Emacs 27, and I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no